# The Kubernetes bundle for Hack The Cloud 2019

The following instructions will get you a Kubernetes cluster deployed on the GARR Cloud.ls


## Deployment

```
juju deploy <path/to/bundle>.yaml --trust

```

---
**Note**

If you want to remove and re-deploy the same bundle in the same openstack project please do as follows:

**Remove the applications from the juju model**

```
juju remove-application containerd easyrsa etcd flannel kubernetes-master kubernetes-worker openstack-integrator
```
If some units are in an error or blocked state, execute a *juju remove-machine* for the remaining machines. 


**Use the openstack cli to remove the lbaas related resources previously created**

```
source <app-cred-openrc>.sh
```
where *app-cred-openrc.sh* is the application credential related to your user account. If you do not have an application credential, you can consult this guide to create it (https://cloud.garr.it/compute/app-credential/).


```
neutron lbaas-listener-delete <ids>
``` 
where *ids* are all the ids that the command *neutron lbaas-listener-list* returns.


```
neutron lbaas-pool-delete <ids>
```
where *ids* are all the ids that the command *neutron lbaas-pool-list* returns.


```
neutron lbaas-loadbalancer-delete <ids>
```
where *ids* are all the ids that the command *neutron lbaas-loadbalancer-list* returns.


**Delete security groups**

```
opensack security group delete <ids>

```
where *ids* are all the ids that the command *openstack security group list* returns **EXCEPT** the default security group.


**Release Floating IPs**

```
opensack floating ip delete <ids>

```
where *ids* are all the ids in status **DOWN** that the command *openstack floating ip list* returns.


**Re-deploy the bundle**

```
juju deploy <path/to/bundle>.yaml --trust

```


---









